Skip to main content
POST
Export dashboard

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dashboardId
integer<int64>
required

The ID of the dashboard to export.

Body

application/json
exportType
enum<string>
required

The type of export to perform. Valid values are:

  • SCREENSHOT: Individual report screenshots.
  • PDF: PDF with individual report screenshots.
  • PPTX PPTX with individual report screenshots.
  • ZIP: ZIP of individual report screenshots.
  • CSV: ZIP with one or more CSV files per report.
  • XLS: ZIP with one or more XLS files per report.
  • `XLSX: ZIP with one or more XLSX files per report.
Available options:
CSV,
PDF,
PPTX,
SCREENSHOT,
XLS,
XLSX,
ZIP
message
string

The message to include with the export. Optional, empty by default.

recipientUserIds
string[]

Array of user IDs to send the export to. If absent or empty, the requesting user is used as the sole recipient; otherwise, this exact set of users is used.

reportIds
string[]

Array of IDs of reports to optionally narrow the export to. IDs of reports that are not on the dashboard are ignored. If absent or empty, all reports on the dashboard are included.

subject
string

The subject line to use for the export. If absent, the name of the requested report will be used. Max length of 100 characters.

Response

Last modified on September 15, 2026